Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(12)

Issue 322453002: free, rather than delete, malloc'd object. (Closed)

Created:
6 years, 5 months ago by palmer
Modified:
6 years, 5 months ago
Reviewers:
Bo Xu, jam, kai_jing, jun_fang
CC:
pdfium-reviews_googlegroups.com
Base URL:
https://pdfium.googlesource.com/pdfium.git@master
Visibility:
Public.

Description

free, rather than delete, malloc'd object. BUG=381031 Original patch by Chris Palmer <palmer@chromium.org>; Committed: https://pdfium.googlesource.com/pdfium/+/9e16edd

Patch Set 1 #

Total comments: 2
Unified diffs Side-by-side diffs Delta from patch set Stats (+1 line, -1 line) Patch
M core/src/fxcodec/jbig2/JBig2_Context.cpp View 1 chunk +1 line, -1 line 2 comments Download

Messages

Total messages: 11 (0 generated)
palmer
jam: PTAL. Thanks! This diff straightforwardly turns an immediate ASAN explosion into normal non-crashing functionality, ...
6 years, 5 months ago (2014-06-05 22:59:54 UTC) #1
jam
Also adding some Foxit developers so that they can ensure this gets merged to their ...
6 years, 5 months ago (2014-06-05 23:50:23 UTC) #2
palmer
> seems that this is a problem with other member variables in this class? Conter-intuitively, ...
6 years, 5 months ago (2014-06-06 19:03:16 UTC) #3
jam
On 2014/06/06 19:03:16, Chromium Palmer wrote: > > seems that this is a problem with ...
6 years, 5 months ago (2014-06-06 19:16:15 UTC) #4
jun_fang
On 2014/06/06 19:16:15, jam wrote: > On 2014/06/06 19:03:16, Chromium Palmer wrote: > > > ...
6 years, 5 months ago (2014-06-09 01:25:20 UTC) #5
jun_fang
https://codereview.chromium.org/322453002/diff/1/core/src/fxcodec/jbig2/JBig2_Context.cpp File core/src/fxcodec/jbig2/JBig2_Context.cpp (right): https://codereview.chromium.org/322453002/diff/1/core/src/fxcodec/jbig2/JBig2_Context.cpp#newcode62 core/src/fxcodec/jbig2/JBig2_Context.cpp:62: m_pModule->JBig2_Free(m_gbContext); On 2014/06/05 23:50:23, jam wrote: > seems that ...
6 years, 5 months ago (2014-06-09 01:26:25 UTC) #6
palmer
Thank you, jun_fang!
6 years, 5 months ago (2014-06-09 18:12:14 UTC) #7
palmer
The CQ bit was checked by palmer@chromium.org
6 years, 5 months ago (2014-06-09 18:12:26 UTC) #8
commit-bot: I haz the power
The CQ bit was unchecked by commit-bot@chromium.org
6 years, 5 months ago (2014-06-09 18:15:19 UTC) #9
commit-bot: I haz the power
Commit queue rejected this change because it did not recognize the base URL. Please commit ...
6 years, 5 months ago (2014-06-09 18:15:20 UTC) #10
palmer
6 years, 5 months ago (2014-06-09 18:26:30 UTC) #11
Oh, right. jam, can you please commit this now that jun_fang has signed off on
it? Thanks.

Powered by Google App Engine
This is Rietveld 408576698